{% extends "blogs/_base.html" %}
{% load social_share %}
{% block content %}
<div class="container">
    <div class="row">
        <div class="col-lg-8 col-md-10 mx-auto">
        <!-- 글 본문 -->
            <h1>{{ post.title }}</h1>
        <hr>
            {% if post.image %}
                <img src="{{ post.image.url }}" />
            {% endif %}
            <p>{{ post.content }}</p>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-8 col-md-10 mx-auto">
        <!-- 태그 달기 -->
            {% for tag in post.tags.all %}
                <span class="badge badge-dark">
                    #{{ tag.name }}
                </span>
            {% endfor %}
        <!-- 소셜 공유 -->
            <button type="button" class="btn btn-light float-right">
                {% post_to_facebook post.get_absolute "facebook" %}
            </button>
            <button type="button" class="btn btn-light float-right">
                {% send_email post.title "New Song: {{post.title}}. Check it out!" object_or_url "Share via email" %}
            </button>
        </div>
    </div>
    <!-- 댓글 목록 -->
    <div class="contanier">
        <div class="row">
            <div class="col-md-12 comment-bg">
                <div class="page-header">
                    <h1>Comments</h1>
                </div>
                <div class="comments-list">
                    {% for comment in commetns %}
                    <div class="media">
                        <div class="media-body">
                            <h4 class="media-heading user_name">
                                {{ comment.user }}
                            </h4>
                                {{ comment.content }}
                            <hr>
                        </div>
                    </div>
                    {% endfor %}
                </div>
                <!-- 댓글 등록하기 -->
                <div class="row">
                    {% if errors %}
                    <ul>
                        {% for error in errors %}
                        <li><div class="alert alert-primary">{{ error }}</div> </li>
                        {% endfor %}
                    </ul>
                    {% endif %}
                    <h3>댓글 쓰기</h3>
                    <form method="post" action="{% usrl 'comment_wirte' %}" enctype="multipart/form-data" class="col-lg-8 col-md-10 mx-auto">
                        {% csrf_token %}
                        <input type="hidden" name="post_id" value="{{ post.id }}">
                        <div class="form=group row">
                            <textarea class="form-control" name="content" rows="7"></textarea>
                        </div>
                        <div class="form-group for float-right">
                            <button type="submit" class="btn btn-primary">저장하기</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}
